Index: /code/branches/presentation2/src/libraries/core/input/KeyBinder.cc
===================================================================
--- /code/branches/presentation2/src/libraries/core/input/KeyBinder.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/core/input/KeyBinder.cc	(revision 6394)
@@ -61,9 +61,9 @@
         for (unsigned int i = 0; i < KeyCode::numberOfKeys; i++)
         {
-            std::string keyname = KeyCode::ByString[i];
+            const std::string& keyname = KeyCode::ByString[i];
             if (!keyname.empty())
                 keys_[i].name_ = std::string("Key") + keyname;
             else
-                keys_[i].name_ = "";
+                keys_[i].name_.clear();
             keys_[i].paramCommandBuffer_ = &paramCommandBuffer_;
             keys_[i].groupName_ = "Keys";
@@ -188,8 +188,8 @@
         this->joyStickButtons_.resize(joySticks_.size());
 
-        // reinitialise all joy stick binings (doesn't overwrite the old ones)
+        // reinitialise all joy stick bindings (doesn't overwrite the old ones)
         for (unsigned int iDev = 0; iDev < joySticks_.size(); iDev++)
         {
-            std::string deviceName = joySticks_[iDev]->getDeviceName();
+            const std::string& deviceName = joySticks_[iDev]->getDeviceName();
             // joy stick buttons
             for (unsigned int i = 0; i < JoyStickButtonCode::numberOfButtons; i++)
@@ -221,10 +221,10 @@
         for (unsigned int i = 0; i < KeyCode::numberOfKeys; i++)
             if (!keys_[i].name_.empty())
-                allButtons_[keys_[i].groupName_ + "." + keys_[i].name_] = keys_ + i;
+                allButtons_[keys_[i].groupName_ + '.' + keys_[i].name_] = keys_ + i;
         for (unsigned int i = 0; i < numberOfMouseButtons_; i++)
-            allButtons_[mouseButtons_[i].groupName_ + "." + mouseButtons_[i].name_] = mouseButtons_ + i;
+            allButtons_[mouseButtons_[i].groupName_ + '.' + mouseButtons_[i].name_] = mouseButtons_ + i;
         for (unsigned int i = 0; i < MouseAxisCode::numberOfAxes * 2; i++)
         {
-            allButtons_[mouseAxes_[i].groupName_ + "." + mouseAxes_[i].name_] = mouseAxes_ + i;
+            allButtons_[mouseAxes_[i].groupName_ + '.' + mouseAxes_[i].name_] = mouseAxes_ + i;
             allHalfAxes_.push_back(mouseAxes_ + i);
         }
@@ -232,8 +232,8 @@
         {
             for (unsigned int i = 0; i < JoyStickButtonCode::numberOfButtons; i++)
-                allButtons_[(*joyStickButtons_[iDev])[i].groupName_ + "." + (*joyStickButtons_[iDev])[i].name_] = &((*joyStickButtons_[iDev])[i]);
+                allButtons_[(*joyStickButtons_[iDev])[i].groupName_ + '.' + (*joyStickButtons_[iDev])[i].name_] = &((*joyStickButtons_[iDev])[i]);
             for (unsigned int i = 0; i < JoyStickAxisCode::numberOfAxes * 2; i++)
             {
-                allButtons_[(*joyStickAxes_[iDev])[i].groupName_ + "." + (*joyStickAxes_[iDev])[i].name_] = &((*joyStickAxes_[iDev])[i]);
+                allButtons_[(*joyStickAxes_[iDev])[i].groupName_ + '.' + (*joyStickAxes_[iDev])[i].name_] = &((*joyStickAxes_[iDev])[i]);
                 allHalfAxes_.push_back(&((*joyStickAxes_[iDev])[i]));
             }
@@ -284,8 +284,8 @@
     }
 
-     void KeyBinder::addButtonToCommand(std::string command, Button* button)
+     void KeyBinder::addButtonToCommand(const std::string& command, Button* button)
      {
         std::ostringstream stream;
-        stream << button->groupName_  << "." << button->name_;
+        stream << button->groupName_  << '.' << button->name_;
 
         std::vector<std::string>& oldKeynames = this->allCommands_[button->bindingString_];
@@ -296,5 +296,5 @@
         }
 
-        if(command != "")
+        if (!command.empty())
         {
             std::vector<std::string>& keynames = this->allCommands_[command];
@@ -310,5 +310,5 @@
         Return the first key name for a specific command
     */
-    std::string KeyBinder::getBinding(std::string commandName)
+    const std::string& KeyBinder::getBinding(const std::string& commandName)
     {
         if( this->allCommands_.find(commandName) != this->allCommands_.end())
@@ -318,5 +318,5 @@
         }
 
-        return "";
+        return BLANKSTRING;
     }
 
@@ -329,5 +329,5 @@
         The index at which the key name is returned for.
     */
-    std::string KeyBinder::getBinding(std::string commandName, unsigned int index)
+    const std::string& KeyBinder::getBinding(const std::string& commandName, unsigned int index)
     {
         if( this->allCommands_.find(commandName) != this->allCommands_.end())
@@ -339,8 +339,8 @@
             }
 
-            return "";
-        }
-
-        return "";
+            return BLANKSTRING;
+        }
+
+        return BLANKSTRING;
     }
 
@@ -351,5 +351,5 @@
         The command.
     */
-    unsigned int KeyBinder::getNumberOfBindings(std::string commandName)
+    unsigned int KeyBinder::getNumberOfBindings(const std::string& commandName)
     {
         if( this->allCommands_.find(commandName) != this->allCommands_.end())
Index: /code/branches/presentation2/src/libraries/core/input/KeyBinder.h
===================================================================
--- /code/branches/presentation2/src/libraries/core/input/KeyBinder.h	(revision 6393)
+++ /code/branches/presentation2/src/libraries/core/input/KeyBinder.h	(revision 6394)
@@ -66,7 +66,7 @@
         void clearBindings();
         bool setBinding(const std::string& binding, const std::string& name, bool bTemporary = false);
-        std::string getBinding(std::string commandName); //tolua_export
-        std::string getBinding(std::string commandName, unsigned int index); //tolua_export
-        unsigned int getNumberOfBindings(std::string commandName); //tolua_export
+        const std::string& getBinding(const std::string& commandName); //tolua_export
+        const std::string& getBinding(const std::string& commandName, unsigned int index); //tolua_export
+        unsigned int getNumberOfBindings(const std::string& commandName); //tolua_export
 
         const std::string& getBindingsFilename()
@@ -160,5 +160,5 @@
 
     private:
-        void addButtonToCommand(std::string command, Button* button);
+        void addButtonToCommand(const std::string& command, Button* button);
 
         //##### ConfigValues #####
Index: /code/branches/presentation2/src/libraries/core/input/KeyDetector.cc
===================================================================
--- /code/branches/presentation2/src/libraries/core/input/KeyDetector.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/core/input/KeyDetector.cc	(revision 6394)
@@ -67,5 +67,5 @@
         for (std::map<std::string, Button*>::const_iterator it = allButtons_.begin(); it != allButtons_.end(); ++it)
         {
-            it->second->bindingString_ = callbackCommand_s + " " + it->second->groupName_ + "." + it->second->name_;
+            it->second->bindingString_ = callbackCommand_s + ' ' + it->second->groupName_ + "." + it->second->name_;
             it->second->parse();
         }
Index: /code/branches/presentation2/src/libraries/network/Client.cc
===================================================================
--- /code/branches/presentation2/src/libraries/network/Client.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/network/Client.cc	(revision 6394)
@@ -139,5 +139,5 @@
     {
       timeSinceLastUpdate_ -= static_cast<unsigned int>( timeSinceLastUpdate_ / NETWORK_PERIOD ) * NETWORK_PERIOD;
-      //     COUT(3) << ".";
+      //     COUT(3) << '.';
       if ( isConnected() && isSynched_ )
       {
Index: /code/branches/presentation2/src/libraries/network/GamestateClient.cc
===================================================================
--- /code/branches/presentation2/src/libraries/network/GamestateClient.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/network/GamestateClient.cc	(revision 6394)
@@ -137,5 +137,5 @@
     COUT(4) << "gamestates: ";
     for(it=gamestateMap_.begin(); it!=gamestateMap_.end(); it++){
-      COUT(4) << it->first << ":" << it->second << "|";
+      COUT(4) << it->first << ':' << it->second << '|';
     }
     COUT(4) << std::endl;
Index: /code/branches/presentation2/src/libraries/network/packet/ClassID.cc
===================================================================
--- /code/branches/presentation2/src/libraries/network/packet/ClassID.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/network/packet/ClassID.cc	(revision 6394)
@@ -48,5 +48,4 @@
 ClassID::ClassID( ) : Packet(){
   Identifier *id;
-  std::string classname;
   unsigned int nrOfClasses=0;
   unsigned int packetSize=2*sizeof(uint32_t); //space for the packetID and for the nrofclasses
@@ -61,5 +60,5 @@
     if(id == NULL || !id->hasFactory())
       continue;
-    classname = id->getName();
+    const std::string& classname = id->getName();
     network_id = id->getNetworkID();
     // now push the network id and the classname to the stack
Index: /code/branches/presentation2/src/libraries/network/packet/DeleteObjects.cc
===================================================================
--- /code/branches/presentation2/src/libraries/network/packet/DeleteObjects.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/network/packet/DeleteObjects.cc	(revision 6394)
@@ -72,5 +72,5 @@
     unsigned int temp = Synchronisable::popDeletedObject();
     *reinterpret_cast<uint32_t*>(tdata) = temp;
-    COUT(4) << temp << " ";
+    COUT(4) << temp << ' ';
     tdata += sizeof(uint32_t);
   }
Index: /code/branches/presentation2/src/libraries/network/packet/FunctionIDs.cc
===================================================================
--- /code/branches/presentation2/src/libraries/network/packet/FunctionIDs.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/network/packet/FunctionIDs.cc	(revision 6394)
@@ -47,5 +47,4 @@
 
 FunctionIDs::FunctionIDs( ) : Packet(){
-  std::string functionname;
   unsigned int nrOfFunctions=0;
   unsigned int packetSize=2*sizeof(uint32_t); //space for the packetID and for the nroffunctions
@@ -57,5 +56,5 @@
   ObjectList<NetworkFunctionBase>::iterator it;
   for(it = ObjectList<NetworkFunctionBase>::begin(); it; ++it){
-    functionname = it->getName();
+    const std::string& functionname = it->getName();
     networkID = it->getNetworkID();
     // now push the network id and the classname to the stack
Index: /code/branches/presentation2/src/libraries/network/packet/Gamestate.cc
===================================================================
--- /code/branches/presentation2/src/libraries/network/packet/Gamestate.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/network/packet/Gamestate.cc	(revision 6394)
@@ -529,5 +529,5 @@
 //   COUT(0) << "myvector contains:";
 //   for ( itt=dataVector_.begin() ; itt!=dataVector_.end(); itt++ )
-//     COUT(0) << " " << (*itt).objID;
+//     COUT(0) << ' ' << (*itt).objID;
 //   COUT(0) << endl;
   for(it=dataVector_.begin(); it!=dataVector_.end();){
Index: /code/branches/presentation2/src/libraries/tools/BillboardSet.cc
===================================================================
--- /code/branches/presentation2/src/libraries/tools/BillboardSet.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/tools/BillboardSet.cc	(revision 6394)
@@ -38,5 +38,4 @@
 #include "util/Convert.h"
 #include "util/Math.h"
-#include "util/StringUtils.h"
 #include "core/GameMode.h"
 
@@ -81,5 +80,5 @@
         catch (...)
         {
-            COUT(1) << "Error: Couln't load billboard \"" << file << "\"" << std::endl;
+            COUT(1) << "Error: Couln't load billboard \"" << file << '"' << std::endl;
             this->billboardSet_ = 0;
         }
@@ -104,5 +103,5 @@
         catch (...)
         {
-            COUT(1) << "Error: Couln't load billboard \"" << file << "\"" << std::endl;
+            COUT(1) << "Error: Couln't load billboard \"" << file << '"' << std::endl;
             this->billboardSet_ = 0;
         }
Index: /code/branches/presentation2/src/libraries/tools/Mesh.cc
===================================================================
--- /code/branches/presentation2/src/libraries/tools/Mesh.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/tools/Mesh.cc	(revision 6394)
@@ -36,5 +36,4 @@
 
 #include "util/Convert.h"
-#include "util/StringUtils.h"
 #include "core/GameMode.h"
 
@@ -84,5 +83,5 @@
             catch (...)
             {
-                COUT(1) << "Error: Couln't load mesh \"" << meshsource << "\"" << std::endl;
+                COUT(1) << "Error: Couln't load mesh \"" << meshsource << '"' << std::endl;
                 this->entity_ = 0;
             }
Index: /code/branches/presentation2/src/libraries/tools/ParticleInterface.cc
===================================================================
--- /code/branches/presentation2/src/libraries/tools/ParticleInterface.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/tools/ParticleInterface.cc	(revision 6394)
@@ -78,5 +78,5 @@
             catch (...)
             {
-                COUT(1) << "Error: Couln't load particle system \"" << templateName << "\"" << std::endl;
+                COUT(1) << "Error: Couln't load particle system \"" << templateName << '"' << std::endl;
                 this->particleSystem_ = 0;
             }
Index: /code/branches/presentation2/src/libraries/tools/ResourceLocation.cc
===================================================================
--- /code/branches/presentation2/src/libraries/tools/ResourceLocation.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/tools/ResourceLocation.cc	(revision 6394)
@@ -92,5 +92,5 @@
     {
         // Remove from Ogre paths
-        resourceGroup_.erase();
+        resourceGroup_.clear();
         try
         {
Index: /code/branches/presentation2/src/libraries/tools/Shader.cc
===================================================================
--- /code/branches/presentation2/src/libraries/tools/Shader.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/tools/Shader.cc	(revision 6394)
@@ -57,6 +57,4 @@
         this->bLoadCompositor_ = GameMode::showsGraphics();
         this->bViewportInitialized_ = false;
-        this->compositor_ = "";
-        this->oldcompositor_ = "";
 
         if (this->bLoadCompositor_ && Ogre::Root::getSingletonPtr())
@@ -111,10 +109,10 @@
             Ogre::Viewport* viewport = GraphicsManager::getInstance().getViewport();
             assert(viewport);
-            if (this->oldcompositor_ != "")
+            if (!this->oldcompositor_.empty())
             {
                 Ogre::CompositorManager::getSingleton().removeCompositor(viewport, this->oldcompositor_);
                 this->compositorInstance_ = 0;
             }
-            if (this->compositor_ != "")
+            if (!this->compositor_.empty())
             {
                 this->compositorInstance_ = Ogre::CompositorManager::getSingleton().addCompositor(viewport, this->compositor_);
@@ -298,5 +296,5 @@
                         continue;
 
-                    if (pass_pointer->getFragmentProgramName() != "")
+                    if (!pass_pointer->getFragmentProgramName().empty())
                     {
                         Ogre::GpuProgramParameters* parameter_pointer = pass_pointer->getFragmentProgramParameters().get();
Index: /code/branches/presentation2/src/libraries/tools/TextureGenerator.cc
===================================================================
--- /code/branches/presentation2/src/libraries/tools/TextureGenerator.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/tools/TextureGenerator.cc	(revision 6394)
@@ -72,5 +72,5 @@
         if (it == colourMap.end())
         {
-            std::string materialName = textureName + "_Material_" + multi_cast<std::string>(materialCount_s++);
+            const std::string& materialName = textureName + "_Material_" + multi_cast<std::string>(materialCount_s++);
             Ogre::MaterialPtr material = static_cast<Ogre::MaterialPtr>(Ogre::MaterialManager::getSingleton().create(materialName, "General"));
             material->getTechnique(0)->getPass(0)->setSceneBlending(Ogre::SBT_TRANSPARENT_ALPHA);
Index: /code/branches/presentation2/src/libraries/util/Clipboard.cc
===================================================================
--- /code/branches/presentation2/src/libraries/util/Clipboard.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/util/Clipboard.cc	(revision 6394)
@@ -78,5 +78,5 @@
         {
             COUT(1) << "Error: Unable to copy the following text to the clipboard:" << std::endl;
-            COUT(1) << "       \"" << text << "\"" << std::endl;
+            COUT(1) << "       \"" << text << '"' << std::endl;
         }
         return false;
@@ -96,5 +96,5 @@
                 if (hData == NULL)
                     return "";
-                std::string output = static_cast<char*>(GlobalLock(hData));
+                std::string output(static_cast<char*>(GlobalLock(hData)));
                 GlobalUnlock(hData);
                 CloseClipboard();
@@ -119,5 +119,5 @@
 namespace orxonox
 {
-    static std::string clipboard = ""; //!< Keeps the text of our internal clipboard
+    static std::string clipboard; //!< Keeps the text of our internal clipboard
 
     /**
Index: /code/branches/presentation2/src/libraries/util/Convert.h
===================================================================
--- /code/branches/presentation2/src/libraries/util/Convert.h	(revision 6393)
+++ /code/branches/presentation2/src/libraries/util/Convert.h	(revision 6394)
@@ -43,5 +43,4 @@
 
 #include "Debug.h"
-#include "StringUtils.h"
 #include "TemplateUtils.h"
 
@@ -336,5 +335,5 @@
         FORCEINLINE static bool convert(std::string* output, const char input)
         {
-            *output = std::string(1, input);
+            *output = input;
             return true;
         }
@@ -345,5 +344,5 @@
         FORCEINLINE static bool convert(std::string* output, const unsigned char input)
         {
-            *output = std::string(1, input);
+            *output = input;
             return true;
         }
@@ -352,7 +351,7 @@
     struct ConverterExplicit<std::string, char>
     {
-        FORCEINLINE static bool convert(char* output, const std::string input)
-        {
-            if (input != "")
+        FORCEINLINE static bool convert(char* output, const std::string& input)
+        {
+            if (!input.empty())
                 *output = input[0];
             else
@@ -364,7 +363,7 @@
     struct ConverterExplicit<std::string, unsigned char>
     {
-        FORCEINLINE static bool convert(unsigned char* output, const std::string input)
-        {
-            if (input != "")
+        FORCEINLINE static bool convert(unsigned char* output, const std::string& input)
+        {
+            if (!input.empty())
                 *output = input[0];
             else
@@ -389,4 +388,8 @@
     };
 
+    // Declarations to avoid StringUtils.h include
+    _UtilExport std::string removeTrailingWhitespaces(const std::string& str);
+    _UtilExport std::string getLowercase(const std::string& str);
+
     // std::string to bool
     template <>
@@ -395,14 +398,14 @@
         static bool convert(bool* output, const std::string& input)
         {
-            std::string stripped = getLowercase(removeTrailingWhitespaces(input));
+            const std::string& stripped = getLowercase(removeTrailingWhitespaces(input));
             if (stripped == "true" || stripped == "on" || stripped == "yes")
             {
-              *output = true;
-              return true;
+                *output = true;
+                return true;
             }
             else if (stripped == "false" || stripped == "off" || stripped == "no")
             {
-              *output = false;
-              return true;
+                *output = false;
+                return true;
             }
 
Index: /code/branches/presentation2/src/libraries/util/Exception.cc
===================================================================
--- /code/branches/presentation2/src/libraries/util/Exception.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/util/Exception.cc	(revision 6394)
@@ -49,6 +49,4 @@
         : description_(description)
         , lineNumber_(0)
-        , functionName_("")
-        , filename_("")
     { }
 
@@ -61,5 +59,5 @@
     const std::string& Exception::getFullDescription() const
     {
-        if (fullDescription_ == "")
+        if (fullDescription_.empty())
         {
             std::ostringstream fullDesc;
@@ -67,21 +65,21 @@
             fullDesc << this->getTypeName() << "Exception";
 
-            if (this->filename_ != "")
+            if (!this->filename_.empty())
             {
                 fullDesc << " in " << this->filename_;
                 if (this->lineNumber_)
-                    fullDesc << "(" << this->lineNumber_ << ")";
+                    fullDesc << '(' << this->lineNumber_ << ')';
             }
 
-            if (this->functionName_ != "")
-                fullDesc << " in function '" << this->functionName_ << "'";
+            if (!this->functionName_.empty())
+                fullDesc << " in function '" << this->functionName_ << '\'';
 
             fullDesc << ": ";
-            if (this->description_ != "")
+            if (!this->description_.empty())
                 fullDesc << this->description_;
             else
                 fullDesc << "No description available.";
 
-            this->fullDescription_ = std::string(fullDesc.str());
+            this->fullDescription_ = fullDesc.str();
         }
 
Index: /code/branches/presentation2/src/libraries/util/Math.h
===================================================================
--- /code/branches/presentation2/src/libraries/util/Math.h	(revision 6393)
+++ /code/branches/presentation2/src/libraries/util/Math.h	(revision 6394)
@@ -165,5 +165,5 @@
     template <> inline bool                 zeroise<bool>()                 { return 0; }
     template <> inline void*                zeroise<void*>()                { return 0; }
-    template <> inline std::string          zeroise<std::string>()          { return ""; }
+    template <> inline std::string          zeroise<std::string>()          { return std::string(); }
     template <> inline orxonox::Radian      zeroise<orxonox::Radian>()      { return orxonox::Radian(0.0f); }
     template <> inline orxonox::Degree      zeroise<orxonox::Degree>()      { return orxonox::Degree(0.0f); }
Index: /code/branches/presentation2/src/libraries/util/MathConvert.h
===================================================================
--- /code/branches/presentation2/src/libraries/util/MathConvert.h	(revision 6393)
+++ /code/branches/presentation2/src/libraries/util/MathConvert.h	(revision 6394)
@@ -53,5 +53,5 @@
         {
             std::ostringstream ostream;
-            if (ostream << input.x << "," << input.y)
+            if (ostream << input.x << ',' << input.y)
             {
                 (*output) = ostream.str();
@@ -69,5 +69,5 @@
         {
             std::ostringstream ostream;
-            if (ostream << input.x << "," << input.y << "," << input.z)
+            if (ostream << input.x << ',' << input.y << ',' << input.z)
             {
                 (*output) = ostream.str();
@@ -85,5 +85,5 @@
         {
             std::ostringstream ostream;
-            if (ostream << input.x << "," << input.y << "," << input.z << "," << input.w)
+            if (ostream << input.x << ',' << input.y << ',' << input.z << ',' << input.w)
             {
                 (*output) = ostream.str();
@@ -101,5 +101,5 @@
         {
             std::ostringstream ostream;
-            if (ostream << input.w << "," << input.x << "," << input.y << "," << input.z)
+            if (ostream << input.w << ',' << input.x << ',' << input.y << ',' << input.z)
             {
                 (*output) = ostream.str();
@@ -117,5 +117,5 @@
         {
             std::ostringstream ostream;
-            if (ostream << input.r << "," << input.g << "," << input.b << "," << input.a)
+            if (ostream << input.r << ',' << input.g << ',' << input.b << ',' << input.a)
             {
                 (*output) = ostream.str();
Index: /code/branches/presentation2/src/libraries/util/OutputHandler.cc
===================================================================
--- /code/branches/presentation2/src/libraries/util/OutputHandler.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/util/OutputHandler.cc	(revision 6394)
@@ -77,5 +77,5 @@
 #ifdef ORXONOX_PLATFORM_WINDOWS
             char* pTempDir = getenv("TEMP");
-            this->logFilename_ = std::string(pTempDir) + "/" + logFileBaseName_g;
+            this->logFilename_ = std::string(pTempDir) + '/' + logFileBaseName_g;
 #else
             this->logFilename_ = std::string("/tmp/") + logFileBaseName_g;
Index: /code/branches/presentation2/src/libraries/util/StringUtils.cc
===================================================================
--- /code/branches/presentation2/src/libraries/util/StringUtils.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/util/StringUtils.cc	(revision 6394)
@@ -40,5 +40,5 @@
 namespace orxonox
 {
-    std::string BLANKSTRING("");
+    std::string BLANKSTRING;
 
     std::string getUniqueNumberString()
@@ -54,9 +54,9 @@
     {
         size_t pos;
-        while ((pos = (*str).find(" ")) < (*str).length())
+        while ((pos = (*str).find(' ')) < (*str).length())
             (*str).erase(pos, 1);
-        while ((pos = (*str).find("\t")) < (*str).length())
+        while ((pos = (*str).find('\t')) < (*str).length())
             (*str).erase(pos, 1);
-        while ((pos = (*str).find("\n")) < (*str).length())
+        while ((pos = (*str).find('\n')) < (*str).length())
             (*str).erase(pos, 1);
     }
@@ -69,5 +69,5 @@
     std::string getStripped(const std::string& str)
     {
-        std::string output = std::string(str);
+        std::string output(str);
         strip(&output);
         return output;
@@ -98,5 +98,5 @@
         size_t quote = start - 1;
 
-        while ((quote = str.find('\"', quote + 1)) != std::string::npos)
+        while ((quote = str.find('"', quote + 1)) != std::string::npos)
         {
             size_t backslash = quote;
@@ -231,5 +231,5 @@
     {
         // Strip the line, whitespaces are disturbing
-        std::string teststring = getStripped(str);
+        const std::string& teststring = getStripped(str);
 
         // There are four possible comment-symbols:
@@ -259,6 +259,5 @@
     bool isEmpty(const std::string& str)
     {
-        std::string temp = getStripped(str);
-        return ((temp == "") || (temp.size() == 0));
+        return getStripped(str).empty();
     }
 
@@ -303,5 +302,5 @@
         for (size_t pos = 0; (pos = output.find('\f', pos)) < std::string::npos; pos += 2) { output.replace(pos, 1, "\\f"); }
         for (size_t pos = 0; (pos = output.find('\a', pos)) < std::string::npos; pos += 2) { output.replace(pos, 1, "\\a"); }
-        for (size_t pos = 0; (pos = output.find('"', pos)) < std::string::npos; pos += 2) { output.replace(pos, 1, "\\\""); }
+        for (size_t pos = 0; (pos = output.find('"' , pos)) < std::string::npos; pos += 2) { output.replace(pos, 1, "\\\""); }
         for (size_t pos = 0; (pos = output.find('\0', pos)) < std::string::npos; pos += 2) { output.replace(pos, 1, "\\0"); }
 
@@ -319,5 +318,5 @@
             return str;
 
-        std::string output = "";
+        std::string output;
         for (size_t pos = 0; pos < str.size() - 1; )
         {
@@ -363,5 +362,5 @@
     std::string getLowercase(const std::string& str)
     {
-        std::string output = std::string(str);
+        std::string output(str);
         lowercase(&output);
         return output;
@@ -387,5 +386,5 @@
     std::string getUppercase(const std::string& str)
     {
-        std::string output = std::string(str);
+        std::string output(str);
         uppercase(&output);
         return output;
Index: /code/branches/presentation2/src/libraries/util/SubString.cc
===================================================================
--- /code/branches/presentation2/src/libraries/util/SubString.cc	(revision 6393)
+++ /code/branches/presentation2/src/libraries/util/SubString.cc	(revision 6394)
@@ -270,8 +270,5 @@
         }
         else
-        {
-            static std::string empty;
-            return empty;
-        }
+            return "";
     }
 
Index: /code/branches/presentation2/src/libraries/util/UtilPrereqs.h
===================================================================
--- /code/branches/presentation2/src/libraries/util/UtilPrereqs.h	(revision 6393)
+++ /code/branches/presentation2/src/libraries/util/UtilPrereqs.h	(revision 6394)
@@ -131,3 +131,10 @@
 }
 
+// Just so you don't have to include StringUtils.h everywhere just for this
+namespace orxonox
+{
+    extern _UtilExport std::string BLANKSTRING;
+}
+
+
 #endif /* _UtilPrereqs_H__ */
Index: /code/branches/presentation2/src/modules/objects/Attacher.cc
===================================================================
--- /code/branches/presentation2/src/modules/objects/Attacher.cc	(revision 6393)
+++ /code/branches/presentation2/src/modules/objects/Attacher.cc	(revision 6394)
@@ -98,5 +98,5 @@
         this->target_ = 0;
 
-        if (this->targetname_ == "")
+        if (this->targetname_.empty())
             return;
 
@@ -113,5 +113,5 @@
     void Attacher::loadedNewXMLName(BaseObject* object)
     {
-        if (this->target_ || this->targetname_ == "")
+        if (this->target_ || this->targetname_.empty())
             return;
 
Index: /code/branches/presentation2/src/modules/objects/eventsystem/EventFilter.cc
===================================================================
--- /code/branches/presentation2/src/modules/objects/eventsystem/EventFilter.cc	(revision 6393)
+++ /code/branches/presentation2/src/modules/objects/eventsystem/EventFilter.cc	(revision 6394)
@@ -62,5 +62,5 @@
         if (this->bActive_)
         {
-            COUT(2) << "Warning: Detected Event loop in EventFilter \"" << this->getName() << "\"" << std::endl;
+            COUT(2) << "Warning: Detected Event loop in EventFilter \"" << this->getName() << '"' << std::endl;
             return;
         }
Index: /code/branches/presentation2/src/modules/objects/eventsystem/EventListener.cc
===================================================================
--- /code/branches/presentation2/src/modules/objects/eventsystem/EventListener.cc	(revision 6393)
+++ /code/branches/presentation2/src/modules/objects/eventsystem/EventListener.cc	(revision 6394)
@@ -58,5 +58,5 @@
         if (this->bActive_)
         {
-            COUT(2) << "Warning: Detected Event loop in EventListener \"" << this->getName() << "\"" << std::endl;
+            COUT(2) << "Warning: Detected Event loop in EventListener \"" << this->getName() << '"' << std::endl;
             return;
         }
@@ -71,5 +71,5 @@
         this->eventName_ = eventname;
 
-        if (this->eventName_ == "")
+        if (this->eventName_.empty())
             return;
 
@@ -81,5 +81,5 @@
     void EventListener::loadedNewXMLName(BaseObject* object)
     {
-        if (this->eventName_ == "")
+        if (this->eventName_.empty())
             return;
 
